import React from "react";
import ReactDOM from "react-dom/client";
import "./index.css";
import App from "./App";
import { BrowserRouter } from "react-router-dom";
import "./i18n";
//import reportWebVitals from './reportWebVitals';

const Loading = () => {
  return (
    <svg id="loading-init" className="loading" viewBox="0 0 1350 600">
      <text x="50%" y="50%" fill="transparent" textAnchor="middle">
        C O M P A N Y
      </text>
    </svg>
  );
};

// TODO: Undo this
/* 
<text x="50%" y="50%" fill="transparent" textAnchor="middle">
  J A N N E X
</text>
*/

const root = ReactDOM.createRoot(document.getElementById("root"));
root.render(
  <React.Suspense fallback={<Loading />}>
    <BrowserRouter>
      <App />
    </BrowserRouter>
  </React.Suspense>
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
//reportWebVitals();
